Subject: bug#41719: 28.0.50; emacsclient -c -F '((name . "NAME"))' is not respected --with-x-toolkit=gtk328.0.50 (Was: [FR] emacsclient should provide '--name' option as emacs)

From: Vladimir Lomov <[email-masked]>
Date: Sun, 7 Jun 2020 22:26:52 +0800

Hello,
** Dmitry Alexandrov <[email-masked]> [2020-06-06 21:24:22 +0300]:

> Control: retitle -1 28.0.50; emacsclient -c -F '((name . "NAME"))' is not
> respected --with-x-toolkit=gtk3

> Dmitry Alexandrov <[email-masked]> wrote:
>> Vladimir Lomov <[email-masked]> wrote:
>>> ** Dmitry Alexandrov <[email-masked]> [2020-06-06 15:36:06 +0300]:
>>>> Vladimir Lomov <[email-masked]> wrote:

>>>>> I tried to use '-F' option of 'emacsclient' but I didn't get desire
>>>>> result, WM_CLASS isn't changed, only WM_ICON_NAME.

>>>> Works for me (Emacs 28, no toolkit).

>>> Do you able to change WM_CLASS?

I didn't notice that you write 'no toolkit', I didn't realize that.

>> Yes.

> Okay, itʼs ‘no toolkit’ that seems to be determinant.  With GTK build I indeed canʼt.

So, emacsclient with -F should change 'instance' but when Emacs is build with
GTK/GTK3 emacs doesn't change it. Do I correctly understand this? Is it mean
that this is a bug?

---
WBR, Vladimir Lomov

-- 
Remove me from this land of slaves,
Where all are fools, and all are knaves,
Where every knave and fool is bought,
Yet kindly sells himself for nought;
		-- Jonathan Swift